Bug 755370 - ath9k stability issues
Summary: ath9k stability issues
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: John Greene
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-20 23:15 UTC by Roy
Modified: 2012-11-13 15:43 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 773652 (view as bug list)
Environment:
Last Closed: 2012-11-13 15:43:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roy 2011-11-20 23:15:44 UTC
Description of problem:
Since kernel 3.1.1 the ath9k driver has become extremely unreliable for me. Range indicator seems too pessimistic and connection drops regularly. Symptoms are equal to bug https://bugzilla.redhat.com/show_bug.cgi?id=538792 , and the problem appears to be improving by using the proposed command "iwconfig wlan0 power off". It is however not solved with the connection dropping after about 10/15 minutes of usage, after which the connection doesn't stay on for more than 30 seconds.
Does not seem to occur when the reception is really really good, for instance when a mobile phone on top of the laptop is acting as a hotspot. 

Version-Release number of selected component (if applicable):
kernel-3.1.1-1.fc16.x86_64/kernel-3.1.1-2.fc16.x86_64
Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

How reproducible:
Just use the kernel 3.1.1 ath9k driver with the specified hardware (Atheros AR9285).

Steps to Reproduce:
1. Boot kernel
2. Let networkmanager connect to a network with signal strength of 2 bars or less (out of three, NetworkManager in Gnome Shell)
3. Try using it for a while
  
Actual results:
Connection drops on a regular basics

Expected results:
Rock steady connection

Additional info:
Opened a fresh bug as, although the symptoms are equal, the problem might be totally unrelated. Does not seem to happen with 3.1.0-7.fc16 (but felt slightly less stable). Fedora 15 was stable with the last available kernel before the release of F16.

Dmesg contains a lot of lines like
wlan0: RX ReassocResp from f1:c7:10:4a:11:ed (capab=0x411 status=0 aid=2)
(where the mac address is replaced by a fake manually for privacy reasons). Possibly these are two problems even, as after about 15 minutes the hardware appears to be going in a different state than the driver thinks, making reconnecting impossible until rebooting.

Comment 1 Garrett Mitchener 2011-12-09 18:08:35 UTC
I'm also having lots of trouble with this driver.  I have an Asus EEEPC with (from lspci)


01:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Atheros Communications AR8121/AR8113/AR8114 Gigabit or Fast Ethernet (rev b0)

If the signal strength is even slightly weak, I get all sorts of network failures but I haven't found any definite error messages to lead me to the exact problem.

Over the past several years, this particular driver has been extremely problematic.  I agree that it was more stable in F15 and that recently in F16 it's gotten worse again.

There are several seemingly related bugs listed here in bugzilla...

Comment 2 galbraithgrant 2011-12-27 22:20:53 UTC
I'd been having good results with the 3.1.5 kernel but my AR928X card has slowed from 18mb/s to 1mb/s with 3.1.6. Booting into 3.1.5 for now but am concerned about the next update.

Comment 3 hansvon 2012-01-01 17:13:21 UTC
Same thing as galbraithgrant@gmail.com
3.1.5-6 works fine
3.1.6-1 performance is very poor

02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Comment 4 Roy 2012-01-02 23:39:03 UTC
I tend to disagree with the above. With Fedora 15 I was able to connect to my network from my bed. After upgrading to Fedora 16 I was no longer able to do so. 3.1.6 seems more stable than previous versions and when I move closer to the AP it connects, but still I cannot connect from the same position where it always worked on F15. The distance to the AP is 13m max, with just a wooden/glass "wall" in between. Nothing changed on the setup, besides the operating system.
Ath5k device from about a meter further can connect just fine. Of course I also tested with all other wifi devices turned off to make sure it's not interference. It's not. :-)

Comment 5 Roy 2012-01-02 23:53:32 UTC
And to add to my previous comment: ironically enough kernel-3.1.5-6 does work from my bed and is stable! Happy bisecting :-)

Comment 6 Jimmy Cao 2012-01-07 08:01:08 UTC
I am also having this problem.  ath9k has been pretty bad since F15.  I think F14 worked the best for me.  However, after a recent update, I've noticed that the performance has actually gotten quite worse.  I'm having to use a direct connection now when at home - the wireless is just too unstable.

Comment 7 Garrett Mitchener 2012-01-09 01:13:57 UTC
I've also noticed (with my EEEPC) if I push Fn+F2 to turn the antenna off, I get a lot of error messages about "unable to reset".  If I remove the ath9k modules, they refuse to start back up with modprobe.  I have to reboot, and then it works again until...

Comment 8 Jimmy Cao 2012-01-09 02:21:03 UTC
(In reply to comment #7)
> I've also noticed (with my EEEPC) if I push Fn+F2 to turn the antenna off, I
> get a lot of error messages about "unable to reset".  If I remove the ath9k
> modules, they refuse to start back up with modprobe.  I have to reboot, and
> then it works again until...

This also happens with my Asus EEE pc 1000he.  Even if i use rfkill, I can't get it back up without rebooting.  Also, the same happens if I disable wireless by right-clicking Network Manager.

Comment 9 Dominik Muth 2012-01-22 10:50:45 UTC
I had a good experience with F14 on my Acer Aspire 3820G with 

05:00.0 Network controller: Atheros Communications Inc. AR9287 Wireless Network Adapter (PCI-Express) (rev 01)

But since upgrading to F16 it is barely usable. I get a horrible ping while e.g. streaming with vlc, and the stream breaks frequently:

--- 8.8.8.8 ping statistics ---
271 packets transmitted, 211 received, 22% packet loss, time 270065ms
rtt min/avg/max/mdev = 49.763/3416.018/21642.002/5208.587 ms, pipe 22

As a WORKAROUND I can recommend using ndiswrapper and the WinXP drivers from http://www.atheros.cz/:

--- 8.8.8.8 ping statistics ---
64 packets transmitted, 64 received, 0% packet loss, time 63078ms
rtt min/avg/max/mdev = 48.940/57.759/107.683/12.614 ms

I don't like this solution myself, but I hope it helps people reading this thread, since this Bug is essentially about online or offline.

I'm on 3.1.2-1.fc16.i686.PAE and removing / adding ndiswrapper and ath9k related modules in any order does not break anything in addition.

Comment 10 Jimmy Cao 2012-01-22 22:20:06 UTC
Many thanks Dominik.

The workaround works.

In F14, the wireless was fine.  When I upgraded to F15, it got somewhat worse, but right now with 3.1.9-1.fc16.i686 ath9k performance is awful.

Comment 11 galbraithgrant 2012-01-23 10:27:42 UTC
I might have a look at this ndiswrapper workaround but it's not a great solution. I think I'll just exclude the kernel from upgrades until this issue is resolved. For now the 3.1.5-6 kernel is rock solid.

Comment 12 moonshine 2012-02-12 03:22:33 UTC
mark up

fc16 kernel 3.1.5-6 is ok.
i get it

Comment 13 Roy 2012-02-12 09:08:36 UTC
So here's the deal with current kernels:
3.2.2-1 works ok, but not brilliantly. Seems to be one step forward.
3.2.3-2 on the other hand works awful, the card just doesn't seem to do anything at all.
3.2.5-3 works about as well as 3.2.2-1. Koji logs seem to confirm this hunch regarding ath9k, apparently two regressions got fixed.
What disappoints me the most though is that there is no feedback from the developers working on ath9k. I would gladly try and get some extra data (with clear instructions on how) if that helps finding the problems. Please let us know what we can do to improve the functioning of our wifi card if anything, and tell us what we should be waiting for if you don't need any feedback!

Comment 14 hansvon 2012-02-13 07:37:15 UTC
3.2.5-3.fc16.x86_64 seems to work OK (AR9285) but I get this kernel oops:
https://bugzilla.redhat.com/show_bug.cgi?id=789882

Comment 15 John W. Linville 2012-02-13 15:05:28 UTC
No one from the ath9k team has been copied on the bug until now...

Comment 16 Mohammed Shafi 2012-02-13 15:15:46 UTC
this thread seems to be useful
http://comments.gmane.org/gmane.linux.kernel.wireless.general/84750
and the patch is recently merged in wireless-testing

Comment 17 John W. Linville 2012-02-13 15:24:48 UTC
kernel-3.2.5-3.fc16 has "ath9k_hw: fix a RTS/CTS timeout regression", FWIW.

Comment 18 Mohammed Shafi 2012-02-14 05:10:07 UTC
(In reply to comment #17)
> kernel-3.2.5-3.fc16 has "ath9k_hw: fix a RTS/CTS timeout regression", FWIW.

oops, thanks John

Comment 19 moonshine 2012-02-18 08:36:48 UTC
3.2.5-3 still not stable...

Comment 20 moonshine 2012-02-20 10:33:00 UTC
fc16 kernel 3.1.5-6 is also not stable...


might be something differences for me

i am a end user, and have little experience on linux. how to start to debug [ath9k]? ANY suggest?

Comment 21 moonshine 2012-02-22 10:35:51 UTC
i find debian user also have this problem.

see also
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658401

and 
https://bugzilla.kernel.org/show_bug.cgi?id=42803

Comment 22 Garrett Mitchener 2012-03-17 17:12:02 UTC
Any progress?  I'm still seeing error messages about "unable to reset hardware" when running kernel 3.2.9 when I turn the wifi antenna on and off with the function key.

I'm also having trouble connecting to some hotspots where other people's computers seem to be having no trouble, but I'm not entirely sure where that problem lies.  Our network can be flaky.

Comment 23 Dave Jones 2012-03-22 17:02:37 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 24 Dave Jones 2012-03-22 17:05:57 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 25 Dave Jones 2012-03-22 17:17:00 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 26 Garrett Mitchener 2012-03-22 18:39:43 UTC
I just installed this new kernel.

I use an EEEPC and when I press Fn+F2 to turn off the wireless and again to turn it back on again, it doesn't work.  dmesg shows error messages:

ath: Chip reset failed
ath: Unable to reset hardware; reset status = -22 (freq 2437 MHz)

Removing and reinserting the ath and ath9k modules does not work after this.  I get errors:

ath: Couldn't reset chip
ath: Unable to initialize hardware; initialization status = -5

I have to reboot it to make the network work again.

Comment 27 Roy 2012-03-23 13:26:53 UTC
Nope, still unreliable

Comment 28 moonshine 2012-03-25 01:05:29 UTC
yes, i have a eeepc and see the same error msg.

Comment 29 Claudio Guimarães 2012-04-02 19:05:20 UTC
I'm experiencing the same issue with a TP-Link TL-WN951N PCI card. I have two desktop machines both running Fedora 16 x86_64 with the same TP-Link card, sitting in the same room.
One of them since kernel 3.2.10-3 runs very stable with 74% signal intensity. The other one, with about 65% signal, is a shame! Unusable.
Restarting NetworkManager service establish the connection again for about 30 seconds.
I've already tried to replace NetworkManager with Wicd but the things got worse.
There is no hardware issue with this machine as it works very well with Windows7 (dual boot), and the solution for now is to use this SO unfortunately.

Comment 30 Roy 2012-04-02 20:00:12 UTC
(In reply to comment #26)
> I just installed this new kernel.
> 
> I use an EEEPC and when I press Fn+F2 to turn off the wireless and again to
> turn it back on again, it doesn't work.  dmesg shows error messages:
> 
> ath: Chip reset failed
> ath: Unable to reset hardware; reset status = -22 (freq 2437 MHz)
> 
> Removing and reinserting the ath and ath9k modules does not work after this.  I
> get errors:
> 
> ath: Couldn't reset chip
> ath: Unable to initialize hardware; initialization status = -5
> 
> I have to reboot it to make the network work again.

I can confirm this on my AR9285. Not sure if related though, this error never showed up on earlier cards. The exact error (a snippet):

[ 2392.077804] ath: Failed to stop TX DMA, queues=0x10f!
[ 2392.097819] ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
[ 2392.097828] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 2392.232341] ath: Chip reset failed
[ 2392.232351] ath: Unable to reset channel, reset status -22
[ 2392.733165] wlan0: moving STA 00:0f:61:bb:08:a0 to state 2
[ 2392.733174] wlan0: moving STA 00:0f:61:bb:08:a0 to state 1
[ 2392.733182] wlan0: moving STA 00:0f:61:bb:08:a0 to state 0
[ 2392.736521] cfg80211: Calling CRDA to update world regulatory domain
[ 2392.774726] cfg80211: World regulatory domain updated:
[ 2392.774731] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 2392.774736] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 2392.774741] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 2392.774745] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 2392.774749] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 2392.774753] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 2392.774768] cfg80211: Calling CRDA for country: NL
[ 2392.781384] cfg80211: Regulatory domain changed to country: NL
[ 2392.781389] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 2392.781394] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 2392.781398] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 2392.781403] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 2392.781407] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[ 2392.982793] ath: Failed to stop TX DMA, queues=0x10f!
[ 2392.997098] ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
[ 2392.997104] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 2393.119710] ath: Chip reset failed
[ 2393.119716] ath: Unable to reset channel, reset status -22
[ 2393.119735] ath: Unable to set channel
[ 2393.193832] ath: Failed to stop TX DMA, queues=0x10f!
[ 2393.208133] ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
[ 2393.208139] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 2393.367384] ath: Chip reset failed
[ 2393.367390] ath: Unable to reset channel, reset status -22
[ 2393.367447] ath: Unable to set channel
etc. until I unloaded the module.

Comment 31 Claudio Guimarães 2012-04-09 21:40:40 UTC
ath9K doesn't work with kernel-3.3.1-3.fc16.x86_64. NetworkManager stucks on "Waiting for Authentication" and the connection fails. It was stable with kernel-3.3.0-8.fc16.x86_64 for one machine. The other one doesn't connect at all.

Comment 32 Garrett Mitchener 2012-04-11 15:30:53 UTC
I'm having terrible problems with kernel-3.3.1-3.  So I'm trying to go back to kernel-3.1.5-6 which is reported to have worked well.  But that package has vanished -- I can't find it at any mirror or ftp site anywhere, not the main fedora one, not koji, NOWHERE.  Can someone please tell me where I might find it?

Comment 33 John W. Linville 2012-04-11 18:14:01 UTC
Did you look here?

http://koji.fedoraproject.org/koji/buildinfo?buildID=278952

Comment 34 Garrett Mitchener 2012-04-11 19:10:12 UTC
AH! Thank you-- just didn't look far enough back I guess...

Comment 35 Guilherme D. da Fonseca 2012-04-15 01:18:14 UTC
ath driver does not work for me with 3.3.1-5 or 3.3.1-3. Kernel 3.3.0-4 works fine, though. I didn't try other versions. Some dmesg errors are shown below.

[ 1071.319615] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 1072.104995] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 1)
[ 1072.304458] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 2)
[ 1072.504269] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 3)
[ 1072.704104] wlan0: authentication with d8:5d:4c:85:a6:ee timed out
[ 1289.002053] ath: Failed to stop TX DMA, queues=0x001!
[ 1289.021916] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0

Comment 36 Guilherme D. da Fonseca 2012-04-17 01:28:53 UTC
I forgot to say that my kernel is 32-bit i686 PAE, so I if it is the same bug, it is not restricted to 64-bit. More info on my pci wifi adapter:

01:00.0 Network controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)
        Subsystem: Atheros Communications Inc. Device 3079
        Flags: bus master, 66MHz, medium devsel, latency 168, IRQ 16
        Memory at fe400000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [40] #80 [0000]
        Kernel driver in use: ath9k
        Kernel modules: ath9k

Comment 37 Massimo Di Primio 2012-04-17 21:25:17 UTC
Hi, Same problem here. These are some system info (please note that same problem appears with kernel 3.3.1-5. Kernel 3.3.0-8 works fine).

***** Machine Acer Aspire One with Intel(R) Atom(TM) CPU N550 @ 1.50GHz

***** DMESG

[   29.314510] ath: EEPROM regdomain: 0x65
[   29.314517] ath: EEPROM indicates we should expect a direct regpair map
[   29.314526] ath: Country alpha2 being used: 00
[   29.314530] ath: Regpair used: 0x65
[   29.358288] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[   29.359310] Registered led device: ath9k-phy0
[   29.359336] ieee80211 phy0: Atheros AR9285 Rev:2 mem=0xf8260000, irq=17


***** uname -a
Linux sioux 3.3.1-3.fc16.i686 #1 SMP Wed Apr 4 19:07:24 UTC 2012 i686 i686 i386 GNU/Linux

***** lspci -vvv

02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
	Subsystem: Lite-On Communications Inc Device 6631
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at 96000000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=375mA PME(D0+,D1+,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [60] Express (v2) Legacy Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr+ BadTLP+ BadDLLP+ Rollover+ Timeout+ NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
	Capabilities: [140 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [160 v1] Device Serial Number 00-15-17-ff-ff-24-14-12
	Capabilities: [170 v1] Power Budgeting <?>
	Kernel driver in use: ath9k
	Kernel modules: ath9k

***** lsmod | grep ath
ath9k                 120085  0 
mac80211              427444  1 ath9k
ath9k_common           13392  1 ath9k
ath9k_hw              389596  2 ath9k,ath9k_common
ath                    18561  3 ath9k,ath9k_common,ath9k_hw
cfg80211              169437  3 ath9k,mac80211,ath

Comment 38 Claudio Guimarães 2012-04-19 21:39:17 UTC
(In reply to comment #35)
> ath driver does not work for me with 3.3.1-5 or 3.3.1-3. Kernel 3.3.0-4 works
> fine, though. I didn't try other versions. Some dmesg errors are shown below.
> 
> [ 1071.319615] ath: Could not stop RX, we could be confusing the DMA engine
> when we start RX up
> [ 1072.104995] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 1)
> [ 1072.304458] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 2)
> [ 1072.504269] wlan0: authenticate with d8:5d:4c:85:a6:ee (try 3)
> [ 1072.704104] wlan0: authentication with d8:5d:4c:85:a6:ee timed out
> [ 1289.002053] ath: Failed to stop TX DMA, queues=0x001!
> [ 1289.021916] ath: DMA failed to stop in 10 ms AR_CR=0x00000024
> AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0

Fixed with the new 3.3.2 kernel for me. Fedora 16 x86_64.

Comment 39 Roy 2012-04-19 21:56:18 UTC
Right, Kernel 3.3.2 seems to be pretty stable. Coverage in NetworkManager shows poorly though, where iwconfig calls it 50/70. No idea what that means tbh, but with the AP 5 meters away with nothing than cardboard "walls" in between it feels a bit low.
Performance is up to speed, and no regular disconnects. So far it appears to be pretty much fixed in 3.3.2, but I'll keep you posted! Thanks.

Comment 40 Roy 2012-04-22 21:47:33 UTC
I'm afraid that longer tests reveal the problems have not been fixed satisfactory yet. Connection still drops, and reconnection takes several attempts. The situation is slightly better than described in post #1, but still the reliability and (reported) signal strength is too low to consider this problem solved.

Comment 41 Guilherme D. da Fonseca 2012-05-03 16:15:02 UTC
It has been fixed for me with kernel 3.3.4-1.fc16.i686.PAE.

Comment 42 kotofos 2012-07-16 16:31:26 UTC
after some time intenet connection drop, but wifi stay connected.
Machine acer Extensa 5635 ZG.
Bug appears only in fedora 16

dmesg full of stuff like this:
[129608.954845] ath: phy0: Failed to stop TX DMA, queues=0x001!
[129608.968924] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006040
[129608.968930] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

uname -a
Linux kotofos-laptop 3.4.4-5.fc17.i686.PAE #1 SMP Thu Jul 5 20:09:45 UTC 2012 i686 i686 i386 GNU/Linux

lspci -vvv
07:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
	Subsystem: Foxconn International, Inc. Device e016
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at 80400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k

lsmod | grep ath
ath9k                 116395  0 
ath9k_common           13394  1 ath9k
ath9k_hw              371588  2 ath9k_common,ath9k
ath                    18575  3 ath9k_common,ath9k,ath9k_hw
mac80211              432417  1 ath9k
cfg80211              161508  3 ath,ath9k,mac80211

Comment 43 Pentarh Udi 2012-08-31 13:16:13 UTC
When I see "ath: phy0: Failed to stop TX DMA, queues=0x001" messages, wireless network disappears.

While there is no significant load on wifi network, network works fine.

But when I do "scp somebigfile to:thismachine", it copies 100-1000 Mbytes and then totally disaconnects from network with "ath: phy0: Failed to stop TX DMA, queues=0x001" messages in dmesg.

Linux penbook 3.4.9-1.fc16.i686 #1 SMP Wed Aug 15 21:23:41 UTC 2012 i686 i686 i386 GNU/Linux
 

lspci:
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

lsmod | grep ath:
ath9k                 115974  0 
mac80211              436414  1 ath9k
ath9k_common           13392  1 ath9k
ath9k_hw              371579  2 ath9k,ath9k_common
ath                    18561  3 ath9k,ath9k_common,ath9k_hw
cfg80211              161311  3 ath9k,mac80211,ath

iwconfig:
wlan0     IEEE 802.11bgn  ESSID:"Mainstream"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: 40:4A:03:79:8A:EA   
          Bit Rate=65 Mb/s   Tx-Power=27 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:on
          Link Quality=50/70  Signal level=-60 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:616  Invalid misc:514   Missed beacon:0

dmesg:
[   48.489737] ath: regdomain 0x809e updated by CountryIE
[   48.489748] ath: EEPROM regdomain: 0x809e
[   48.489754] ath: EEPROM indicates we should expect a country code
[   48.489762] ath: doing EEPROM country->regdmn map search
[   48.489770] ath: country maps to regdmn code: 0x50
[   48.489777] ath: Country alpha2 being used: TW
[   48.489783] ath: Regpair used: 0x50
[   48.489834] cfg80211: Regulatory domain changed to country: TW
[   48.489841] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   48.489852] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   48.489862] cfg80211:   (5270000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   48.489872] cfg80211:   (5735000 KHz - 5815000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   59.346035] wlan0: no IPv6 routers present
[  484.002888] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 1204.021156] ath: phy0: Failed to stop TX DMA, queues=0x005!
[64684.020216] ath: phy0: Failed to stop TX DMA, queues=0x005!
[64804.011592] ath: phy0: Failed to stop TX DMA, queues=0x004!

Comment 44 Dave Jones 2012-10-23 15:29:21 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 45 Justin M. Forbes 2012-11-13 15:43:40 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.